# Funnel Widget Plugin

**Earliest Supported Version** 6.7
**Latest Supported Version** 7.2
**Plugin Version**: 1.0  
**Last updated**: 18 October 2018

## Description

Funnel charts are a common way to show stages in a process, with the most prevalent example being a funnel representing stages in a sales process.
It can display the number of leads, qualified leads, opportunities, and won deals. There are two ways to use this chart. You can either pick a dimension 
to use as categories, or you can add multiple values. If you pick a dimension, each member in the dimension will get its own section within the funnel.
This chart can be useful for identifying possible problems with the process.  After you have created the chart, Sisense provides several options for formatting it:
1. Invert Chart: If True, the chart is flipped upside down.
2. Dynamic Sizing: If True, the size of each section corresponds to the value for that section so larger values will result in bigger sections.
3. Pinch the Bottom: If True, the last section of the chart is displayed as a rectangle so that the funnel looks skinnier at the bottom.
4. Curved Funnel: If True, the funnel is rendered as a 3D funnel.


## Installation

1. Download the plugin
2. Extract the `.zip` folder to `C:\Program Files\Sisense\PrismWeb\Plugins` (For Sisense v7.2+ extract to `C:\Program Files\Sisense\app\plugins`)
    - If the folder does not exist, please create it before extracting the `.zip` file.
3. Refresh your dashboard